<?php
/**
 * @version		1.0.0
 * @package		Andronika for Joomla!
 * @subpackage	andronika.net
 * @copyright	(C) 2007-2018 Andronika Digital. All rights reserved.
 * @license		GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html
 */
 defined( '_JEXEC' ) or die( 'Restricted access' );
 ?>
<?php
  class plgIntegrationAndronika extends JPlugin {
    function __construct(& $subject, $config) {
	  $this->loadLanguage();
	  parent::__construct($subject, $config);
  }
  public function exists() {
    $hikashop = JPATH_ADMINISTRATOR . '/components/com_hikashop/helpers/helper.php';
		$easysocial = JPATH_ADMINISTRATOR . '/administrator/components/com_easysocial/includes/foundry.php';
    if (!JFile::exists($hikashop) || !JFile::exists($easysocial)) {
			return;
		}
		require_once($hikashop);
		require_once($easysocial);
		return;
	}
  function onHikashopBeforeDisplayView(&$view) {
    $viewName = $view->getName();
    $layout = $view->getLayout();
    if($viewName!='product' || $layout!='show')
    return;
    $my = ES::user();
    $my_id = $my->id;
    $product_id = (int)$this->element->product_id;
    $db = JFactory::getDbo();
    $query = "SELECT DISTINCT es.user_id FROM #__hikashop_order AS o
    LEFT JOIN #__hikashop_order_product AS op ON o.order_id = op.order_id
    LEFT JOIN #__hikashop_user AS u ON o.order_user_id = u.user_id
    LEFT JOIN #__social_users AS es ON u.user_cms_id = es.user_id
    LEFT JOIN #__social_friends AS esf ON esf.actor_id = es.user_id OR esf.target_id = es.user_id
    WHERE op.order_product_parent_id = '$product_id' AND (o.order_status = 'confirmed' OR o.order_status = 'shipped')
    AND (esf.actor_id = '$my_id' AND esf.target_id = es.user_id AND esf.state = 1 OR esf.target_id = '$my_id' AND esf.actor_id = es.user_id AND esf.state = 1)";
    $db->setQuery($query);
    $ids = $db->loadColumn();
    $users = ES::user($ids);
  }
}
